/************************************************
 * Name: Servo
 * Function: 4 servos rotate clockwise and counterclockwise synchronously
 ******************************************************/
//Post technical questions on our FORUM. 
//Website: www.sunfounder.com

/************************************************/
#include <Servo.h>
/************************************************/
Servo myservo[2][2];//create a servo object to control a servo
/************************************************/
const int servo_pin[2][2]={
  8,9,10,11};
void setup()
{
  for (int i = 0; i < 2; i++)
  {
    for (int j = 0; j < 2; j++)
    {
      myservo[i][j].attach(servo_pin[i][j]);
      delay(100);
    }
  }
}
/*************************************************/
void loop()
{  
  servoRotate();
}
//4 servos rotate clockwise and counterclockwise
void servoRotate()
{
  //4 servos rotate clockwise
  for (int i=0; i <= 180; i+=1)// goes from 0 to 180 degrees 

  {
    myservo[0][0].write(i);
    delay(1); //delay 1ms
    myservo[0][1].write(i);
    delay(1);
    myservo[1][0].write(i);
    delay(1);
    myservo[1][1].write(i);
    delay(1);
  }
  //4 servos rotate counterclockwise
  for(int i = 180; i>=0; i-=1)     // goes from 180 degrees to 0 degrees 
  {                                
    myservo[0][0].write(i);
    delay(1);
    myservo[0][1].write(i);
    delay(1);
    myservo[1][0].write(i);
    delay(1);
    myservo[1][1].write(i);
    delay(1);                     
  } 
}


